{***********************************************************************
*  TKaboutversion 1.0                                                  *
*                                                                      *
*    Copyright  1997, 1998  Karlos, Inc. All Rights Reserved.         *
*    Developed By: Karlos Jorge Pinto                                  *
*    E-MAIL: Karlospinto@hotmail.com                                   *
*    Delphi Super Site o---> Delphi@pt <---o:                          *
*    http://www.terravista.pt/bilene/1412 ---> In English/Portuguese   *
*                                                                      *
************************************************************************
*  IRC: #portugal - Undernet. Nick: kArLoS.                            *
*  This is shareware, if you want to use in your projects you have to  *
*  pay *only* $3, for registrate this component. To do this please read*
*  the Register.txt, for more details.                   Made:  1/98   *
***********************************************************************}

unit Kabout;

interface

uses SysUtils, WinTypes, WinProcs, Classes, Graphics, Forms,
     Dialogs, Controls, StdCtrls, Buttons, ExtCtrls, DsgnIntf;


type
  TKWindow = class(TForm)
    BotaoOK: TBitBtn;
    Versao: TLabel;
    Autor: TLabel;
    Comentarios: TLabel;
    IconePrograma: TImage;
    NomeProduto: TLabel;
    Image1: TImage;
    PainelData: TLabel;
  end;

type
  TKabout = class(TComponent)
  private
    FAbout: string;
    FNomeProduto, FVersao, FAutor, FComentarios: string;
  public
    procedure ShowAbout;Virtual;
    function Execute: Boolean;
  published
    property About: string read FAbout write FAbout stored False;
    property Product: string read FNomeProduto write FNomeProduto;
    property Version: string read FVersao Write FVersao;
    property Autor: string read FAutor write FAutor;
    property Coment: string read FComentarios write FComentarios;
  end;

procedure Register;

var
  KWindow: TKWindow;

implementation

{$R *.DFM}


type
  TAboutProperty = class(TPropertyEditor)
  public
    procedure Edit; override;
    function GetAttributes: TPropertyAttributes; override;
    function GetValue:string; override;
  end;

{/////////////////////////////////////////////////////////////////////////////}
{/////////////////////////////////////////////////////////////////////////////}
{/////////////////////////////////////////////////////////////////////////////}
{/////////////////////////////////////////////////////////////////////////////}


procedure TAboutProperty.Edit;
{call the 'About' dialog window when clicking on in the Object Inspector}
begin
  TKabout (GetComponent(0)).ShowAbout;
end;
function TAboutProperty.GetAttributes: TPropertyAttributes;
{set up to display a string in the Object Inspector}
begin
  GetAttributes := [paDialog, paReadOnly];
end;
function TAboutProperty.GetValue: String;
{set string to appear in the Object Inspector}
begin
  GetValue := '(About Kabout v.1.0)';
end;
procedure TKabout.ShowAbout;
var
	msg: string;
const
  cr = chr(13);
begin
  msg := '  --> The Kabout a cool about box. Version: 1.0 <--' + cr;
  msg := msg + 'TKabout:' + ' a 16/32-Bit Component for Delphi' + cr;
  {$IFDEF WIN32}
  msg := msg + '(This is the 32 bit version)' + cr + cr;
  {$ELSE}
  msg := msg + '(This is the 16 bit version)' + cr + cr;
  {$ENDIF}
  msg := msg + 'Copyright  1997/98 Karlos Inc.' + cr;
  msg := msg + 'Made By: Karlos Pinto' + cr;
  msg := msg + '*****************************************************************' + cr;
  msg := msg + 'Delphi@pt site: http://www.terravista.pt/bilene/1412' + cr;
  msg := msg + 'E-Mail: Karlospinto@hotmail.com' + cr;
  msg := msg + '*****************************************************************' + cr;
  msg := msg + 'This Component is SHAREWARE, please read Register.TXT.' + cr;
  msg := msg + '        ...---**** KARLOS PINTO Inc.****---...' + cr;
  msg := msg + '  IRC: #portugal - Undernet, Nick: kArLoS :)' + cr;
  msg := msg + 'If you want more comp., apz., games please send a' + cr;
  msg := msg + 'E-Mail to me, or go to the IRC, Wed 10.30 GMT. :-)' + cr;

    MessageDlg(msg,mtInformation,[MBOK],0);
end;

{/////////////////////////////////////////////////////////////////////////////}
{/////////////////////////////////////////////////////////////////////////////}
{/////////////////////////////////////////////////////////////////////////////}
{/////////////////////////////////////////////////////////////////////////////}

  procedure Register;
  begin
    RegisterComponents( 'Karlos Inc.', [ TKabout ] );
    {register the 'About' property editor}
     RegisterPropertyEditor(TypeInfo(String), TKabout, 'About',
     TAboutProperty);

  end;
{########################################################################}
{########################################################################}
{########################################################################}
{########################################################################}
{########################################################################}



function TKabout.Execute: Boolean;
begin
  KWindow := TKWindow.Create(Application);
  try
    if Product = '' then Product := Application.Title;
    KWindow.NomeProduto.Caption := Product;
    KWindow.Versao.Caption := Version;
    KWindow.Autor.Caption := Autor;
    KWindow.Comentarios.Caption := Coment;
    KWindow.Caption := 'About ' + Product;
    KWindow.PainelData.Caption := DateToStr(Date);
    KWindow.IconePrograma.Picture.Graphic := Application.Icon;
    if KWindow.ShowModal = idOK then Result := True;
  finally
    KWindow.Free;
  end;
end;


end.
 
